Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.schema.sdoc
Class SchemaDocument

    java.lang.Object
      com.saxonica.schema.sdoc.SchemaDocument

    public class SchemaDocument

extends Object

An XML document containing a module of an XML Schema. This object is a simple wrapper around the document node of the tree representing the parsed XML schema document, and is used to provide type-safety and a level of abstraction for the interfaces that use it.

Constructor Summary
`SchemaDocument(DocumentInfo doc)` Create a SchemaDocument from a given document.

Method Summary
`DocumentInfo` | `getDocument()` Get the document wrapped by this SchemaDocument
`String` | `getTargetNamespace()` Get the target namespace of the schema document
`XSDSchema` | `getXSDSchema()` Get the xs:schema element within the schema document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaDocument

    public SchemaDocument(DocumentInfo doc)

  Create a SchemaDocument from a given document. This document must have been built using the SchemaNodeFactory

  Parameters:
    `doc` - the document containing the xs:schema element

Method Detail

### getDocument

    public DocumentInfo getDocument()

  Get the document wrapped by this SchemaDocument

  Returns:
    the document

### getXSDSchema

    public XSDSchema getXSDSchema()

  Get the xs:schema element within the schema document

  Returns:
    the XSDSchema object representing the xs:schema element

### getTargetNamespace

    public String getTargetNamespace()

  Get the target namespace of the schema document

  Returns:
    the target namespace in the xs:schema element of the schema document

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.